Kerbal Space Program - Bug #13004

ISRU can create fuel across a heatsheild. Fuel cannot be transfered. Crossfeed.
Description

ISRU can create fuel across non-crossfeed elements.

| have a simple barge to bring ore back from minimus/mun orbit. On reentry it jetisons its fuel tank and engine to land on a
heatshield.

| dock it to a large mining lander with drills and a convert-o-tron.

It's not possible to transfer fuel to the barges fuel tanks, presumably as it's across the non-crossfeed heatshield.

However if the ISRU is activated fuel will be created in the tanks.

History

#1 - 10/14/2016 06:06 PM - sal_vager

Fuel can be transferred if the relevant setting is enabled, see here for more

http://forum.kerbalspaceprogram.com/index.php?/topic/149929-problem-with-fuel-transfer-across-rockomax-decoupler/#comment-2804092

But this should detect no available tankage, so the ISRU is ignoring the crossfeed setting.
#2 - 10/19/2016 09:26 PM - mostevil
sal_vager wrote:

Fuel can be transferred if the relevant setting is enabled, see here for more

http://forum.kerbalspaceprogram.com/index.php?/topic/149929-problem-with-fuel-transfer-across-rockomax-decoupler/#comment-2804092

But this should detect no available tankage, so the ISRU is ignoring the crossfeed setting.

The point I'm making is that the ISRU should obey the rules and not that transfers should ignore them.
The cross feed rules are good. This is about ISRU's respecting crossfeed.

Perhaps it would be nice if when a transfer is not possible it tells you why (red highlight the non-crossfeed element) but | understand that's a
non-trivial algorithm for a fringe case.

#3 - 10/18/2019 03:20 PM - Robert.Keech

- Status changed from New to Need More Info
